from django.conf.urls import url

from . import views


urlpatterns = [
    url(r'^services/$', views.ServiceList.as_view(), name='service-list'),
    url(r'^services/(?P<pk>[0-9]+)/$', views.ServiceDetail.as_view(), name='service-detail'),
    url(r'^services/(?P<pk>[0-9]+)/edit/$', views.ServiceUpdate.as_view(), name='service-edit'),
    url(r'^servicetypes/$', views.ServiceTypeList.as_view(), name='servicetype-list'),
    url(r'^servicetypes/add/$', views.ServiceTypeCreate.as_view(), name='servicetype-add'),
    url(r'^servicetypes/(?P<pk>[0-9]+)/$', views.ServiceTypeDetail.as_view(), name='servicetype-detail'),
    url(r'^servicetypes/(?P<pk>[0-9]+)/edit/$', views.ServiceTypeUpdate.as_view(), name='servicetype-edit'),
    url(r'^ip/$', views.IPResourceList.as_view(), name='ip-list'),
    #url(r'^ip/add/$', views.IPResourceCreate.as_view(), name='ip-add'),
    url(r'^ip/(?P<pk>[0-9]+)/$', views.IPResourceDetail.as_view(), name='ip-detail'),
]
